DBusAuthClient Struct Reference
D-Bus secret internal implementation details » Authentication implementation details

"Subclass" of DBusAuth for client side More...

## Data Fields

DBusAuth | base
| Parent class.
DBusList * | mechs_to_try
| Mechanisms we got from the server that we're going to try using.
DBusString | guid_from_server
| GUID received from server.

## Detailed Description

"Subclass" of DBusAuth for client side

Definition at line 201 of file dbus-auth.c.

## Field Documentation

## base

DBusAuth DBusAuthClient::base

Parent class.

Definition at line 203 of file dbus-auth.c.

## guid_from_server

DBusString DBusAuthClient::guid_from_server

GUID received from server.

Definition at line 207 of file dbus-auth.c.

## mechs_to_try

DBusList* DBusAuthClient::mechs_to_try

Mechanisms we got from the server that we're going to try using.

Definition at line 205 of file dbus-auth.c.

The documentation for this struct was generated from the following file:

- dbus-auth.c